Piloterr

DOAJ Search

GET
/v2/doaj/search

Search DOAJ articles or journals. kind is article (default) or journal. Article ids and journal ISSNs are the detail keys.

Credit cost: 1 credit per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

Required. Keyword or a doaj.org search URL. Example: climate. An article or journal URL returns 400.

kind?string

Optional. article or journal. Example: journal. Defaults to article.

Default"article"
page?number

Optional. Page number from 1. Example: 2. Defaults to 1. Each page has 10 records.

Response Body

Successful response

application/json
  1. response
results?array<>
pagination?
Example Request
curl -X GET 'https://api.piloterr.com/v2/doaj/search?query=string'
Example Response
{  "results": [    {      "id": "000004687a3a411cb466625281f2ceb0",      "doi": "10.1002/ece3.8411",      "url": "https://doaj.org/article/000004687a3a411cb466625281f2ceb0",      "year": "2021",      "issue": "24",      "month": "12",      "title": "Fishing, predation, and temperature drive herring decline in a large marine ecosystem",      "volume": "11",      "authors": [        {          "name": "Daniel G. Boyce",          "affiliation": "Ocean Sciences Division Bedford Institute of Oceanography Dartmouth NS Canada"        },        {          "name": "Brian Petrie",          "affiliation": "Ocean Sciences Division Bedford Institute of Oceanography Dartmouth NS Canada"        },        {          "name": "Kenneth T. Frank",          "affiliation": "Ocean Sciences Division Bedford Institute of Oceanography Dartmouth NS Canada"        }      ],      "abstract": "Abstract Since 1960, landings of Atlantic herring have been the greatest of any marine species in Canada, surpassing Atlantic cod and accounting for 24% of the total seafood harvested in Atlantic Canada. The Scotian Shelf‐Bay of Fundy herring fisheries (NAFO Division 4VWX) is among Canada's oldest and drives this productivity, accounting for up to 75% of the total herring catch in some years. The stocks’ productivity and overall health have declined since 1965. Despite management measures to promote recovery implemented since 2003, biomass remains low and is declining. The factors that drive the productivity of 4VWX herring are primarily unresolved, likely impeding the effectiveness of management actions on this stock.",      "end_page": "18150",      "keywords": [        "Atlantic herring",        "climate change",        "ecosystem",        "ecosystem‐based",        "egg predation",        "exploitation"      ],      "subjects": [        "Ecology"      ],      "start_page": "18136",      "fulltext_url": "https://doi.org/10.1002/ece3.8411",      "journal_issn": "2045-7758",      "journal_title": "Ecology and Evolution"    }  ],  "pagination": {    "next": "https://doaj.org/search/articles/climate?page=2",    "page": 1,    "per_page": 10,    "total_pages": 27197,    "total_results": 271961  }}